/* Form definition file generated with fdesign. */
#include <strings.h>
#include "forms.h"
#include <stdlib.h>
#include "main_panel.h"
#include "xpm.h"

FD_main_panel *create_form_main_panel(void)
{
	FL_OBJECT *obj;
	FD_main_panel *fdui = (FD_main_panel *) fl_calloc(1, sizeof(*fdui));
	int	i, j;

	fdui->main_panel = fl_bgn_form(FL_NO_BOX, 510, 120);
	obj = fl_add_box(FL_UP_BOX, 0, 0, 510, 120, "");
	/*fl_set_object_bw(obj, -2);*/
	
	obj = fl_add_button(FL_NORMAL_BUTTON, 350, 80, 140, 30, "Mod 4 X");
	fl_set_object_lcol(obj, FL_INACTIVE);
	fl_set_object_lsize(obj, FL_HUGE_SIZE);
	fl_set_object_lalign(obj, FL_ALIGN_CENTER | FL_ALIGN_INSIDE);
	fl_set_object_lstyle(obj, FL_BOLDITALIC_STYLE + FL_EMBOSSED_STYLE);
	fl_set_object_boxtype(obj, FL_NO_BOX);
	fl_set_object_prehandler(obj, about_handler);

	fdui->control_buttons_group = fl_bgn_group();
	fdui->stop_button = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON, 30, 80, 50, 30, "");
	fl_set_object_prehandler(obj, control_handler);
	fl_set_pixmapbutton_data(obj, stop_on_xpm);
	
	fdui->play_button = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON, 80, 80, 50, 30, "");
	fl_set_object_prehandler(obj, control_handler);
	fl_set_pixmapbutton_data(obj, play_off_xpm);
	
	fdui->skip_prev_button = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON, 130, 80, 50, 30, "");
	fl_set_object_prehandler(obj, control_handler);
	fl_set_pixmapbutton_data(obj, skip_prev_off_xpm);
	
	fdui->rew_button = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON, 180, 80, 50, 30, "");
	fl_set_object_prehandler(obj, control_handler);
	fl_set_pixmapbutton_data(obj, rew_off_xpm);
	
	fdui->ff_button = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON, 230, 80, 50, 30, "");
	fl_set_object_prehandler(obj, control_handler);
	fl_set_pixmapbutton_data(obj, ff_off_xpm);
	
	fdui->skip_next_button = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON, 280, 80, 50, 30, "");
	fl_set_object_prehandler(obj, control_handler);
	fl_set_pixmapbutton_data(obj, skip_next_off_xpm);
	
	fl_end_group();
	fl_set_object_bw(fdui->control_buttons_group, -2);


	fdui->menu_buttons_group = fl_bgn_group();
	fdui->list_button = obj = fl_add_button(FL_PUSH_BUTTON, 370, 10, 60, 30, "LIST");
	fl_set_button_shortcut(obj,"L,l",1);
	fl_set_object_lsize(obj, FL_NORMAL_SIZE);
	fl_set_object_lstyle(obj, FL_NORMAL_STYLE + FL_ENGRAVED_STYLE);
	fl_set_object_callback(obj, list_button_callback, 0);

	fdui->setup_button = obj = fl_add_button(FL_PUSH_BUTTON, 430, 10, 60, 30, "SETUP");
	fl_set_button_shortcut(obj,"S,s",1);
	fl_set_object_lsize(obj, FL_NORMAL_SIZE);
	fl_set_object_lstyle(obj, FL_NORMAL_STYLE + FL_ENGRAVED_STYLE);
	fl_set_object_callback(obj, setup_button_callback, 0);

	fdui->mixer_button = obj = fl_add_button(FL_PUSH_BUTTON, 370, 40, 60, 30, "MIXER");
	fl_set_button_shortcut(obj, "M,m", 1);
	fl_set_object_lsize(obj, FL_NORMAL_SIZE);
	fl_set_object_lstyle(obj, FL_NORMAL_STYLE + FL_ENGRAVED_STYLE);
	fl_set_object_callback(obj, mixer_button_callback, 0);

	fdui->quit_button = obj = fl_add_button(FL_NORMAL_BUTTON, 430, 40, 60, 30, "QUIT");
	fl_set_button_shortcut(obj, "Q,q", 1);
	fl_set_object_lsize(obj, FL_NORMAL_SIZE);
	fl_set_object_lstyle(obj, FL_NORMAL_STYLE + FL_ENGRAVED_STYLE);

	fl_end_group();
	fl_set_object_bw(fdui->menu_buttons_group,-2);
	
	obj = fl_add_frame(FL_DOWN_FRAME, 10, 10, 340, 60, "");
	fdui->led_panel = obj = fl_add_free(FL_CONTINUOUS_FREE, 10, 10, 340, 60,
					    "",led_panel_handler);
	fl_set_object_boxtype(obj, FL_FLAT_BOX);
	fl_set_object_bw(obj, -2);
	for ( j=0 ; j<2 ; j++ )
		for ( i=0 ; i<20 ; i++ )
			fdui->led_display[j][i] = fl_add_pixmap(FL_NORMAL_PIXMAP,
							10+i*17, 10+j*30, 17, 30, "");
	strncpy(fdui->led_display_buffer[0], "ABCDEFGHIJKLMNOPQRST",20);
	strncpy(fdui->led_display_buffer[1], "abcdefghijklmnopqrst",20);

	fl_end_form();

	fdui->status = 0;
	return fdui;
}
/*---------------------------------------*/
